Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Developer API operation for POST /dev/v1/licenses/validate.
cURL
curl --request POST \ --url https://api.shoppex.io/dev/v1/licenses/validate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "key": "ABC-123", "product_id": "prod_1", "hardware_id": "HWID-1" } '
{ "data": { "id": "1", "uniqid": "lic_1", "shop_id": "shop_1", "product_id": "prod_1", "invoice_id": "inv_1", "license_key": "ABC-123", "hardware_id": "HWID-1", "uses": 2, "expires_at": "2030-01-01T00:00:00.000Z", "created_at": "2026-01-01T00:00:00.000Z", "updated_at": "2026-01-02T00:00:00.000Z" } }
Use your Shoppex API key in the Authorization header.
The body is of type object.
object
Successful response